searchData={"items":[{"type":"module","title":"Appsignal.Plug","doc":"AppSignal's Plug instrumentation instruments calls to Plug applications to\ngain performance insights and error reporting.","ref":"Appsignal.Plug.html"},{"type":"module","title":"Installation - Appsignal.Plug","doc":"To install `Appsignal.Plug` into your Plug application, `use Appsignal.Plug`\nin your application's router module:\n\n    defmodule AppsignalPlugExample do\n      use Plug.Router\n      use Appsignal.Plug\n\n      plug(:match)\n      plug(:dispatch)\n\n      get \"/\" do\n        send_resp(conn, 200, \"Welcome\")\n      end\n    end","ref":"Appsignal.Plug.html#module-installation"},{"type":"function","title":"Appsignal.Plug.put_name/2","doc":"Adds an `:appsignal_name` to the `Plug.Conn`, to overwrite the root\n`Appsignal.Span`'s name.","ref":"Appsignal.Plug.html#put_name/2"},{"type":"function","title":"Examples - Appsignal.Plug.put_name/2","doc":"iex> Appsignal.Plug.put_name(%Plug.Conn{}, \"AppsignalPlugExample#index\")\n    %Plug.Conn{private: %{appsignal_name: \"AppsignalPlugExample#index\"}}\n\nIn a Plug app, call `Appsignal.Plug.put_name/2` on the returned `Plug.Conn`\nstruct:\n\n    defmodule AppsignalPlugExample do\n      use Plug.Router\n      use Appsignal.Plug\n\n      plug(:match)\n      plug(:dispatch)\n\n      get \"/\" do\n        conn\n        |> Appsignal.Plug.put_name(\"AppsignalPlugExample#index\")\n        |> send_resp(200, \"Welcome\")\n      end\n    end","ref":"Appsignal.Plug.html#put_name/2-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}